Bug 1441295 - Ansible output does not contain line breaks and is hard to read
Summary: Ansible output does not contain line breaks and is hard to read
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Harpreet Kataria
QA Contact: Satyajit Bulage
URL:
Whiteboard: ansible
Depends On: 1439273
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-11 15:44 UTC by Satoe Imaishi
Modified: 2017-05-31 14:52 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1439273
Environment:
Last Closed: 2017-05-31 14:52:10 UTC
Category: ---
Cloudforms Team: Ansible
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-11 15:48:25 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/7779288937e2e1ae078f9def20a4087fd59d3dcf

commit 7779288937e2e1ae078f9def20a4087fd59d3dcf
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Apr 7 14:13:07 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Apr 11 11:46:29 2017 -0400

    Merge pull request #948 from h-kataria/use_html_format_for_stdout
    
    changed stdout format to be html
    (cherry picked from commit f3c6991eaefa6482fc609c8913ddadb0234877ce)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1441295

 .../controllers/sanitize_and_render_controller.js  |  8 +++
 app/views/service/_svcs_show.html.haml             | 81 ++++++++++++----------
 2 files changed, 51 insertions(+), 38 deletions(-)
 create mode 100644 app/assets/javascripts/controllers/sanitize_and_render_controller.js

Comment 3 Satyajit Bulage 2017-05-03 10:04:09 UTC
Able to see proper Ansible Playbook standard output after service provisioned.

Verified Version: 5.8.0.12-rc1.20170425180304_4f35996

Comment 5 errata-xmlrpc 2017-05-31 14:52:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.